window.Gleam.initSearch([{"doc":"glesha","title":"glesha","content":"# Glesha\n\n[![Test Status](https://github.com/bunopnu/glesha/actions/workflows/test.yml/badge.svg)](https://github.com/bunopnu/glesha/actions/workflows/test.yml)\n[![Package Version](https://img.shields.io/hexpm/v/glesha)](https://hex.pm/packages/glesha)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glesha/)\n\nSHA-2 for Gleam, supporting both Erlang and JavaScript 💖\n\n## Installation\n\nTo add the library, simply execute the following command:\n\n```sh\ngleam add glesha\n```\n\n## Example\n\n```gleam\n&quot;howdy!&quot;\n|&gt; bit_string.from_string()\n|&gt; glesha.hash(glesha.Sha256)\n|&gt; glesha.encode_hex()\n// 08419486253228102a04995a0376ffdaec0bf1dbaf9cff3669f34d29ad483a02\n```\n\n## Reliability\n\nThis package uses the battle-tested [`crypto`](https://www.erlang.org/doc/man/crypto) module for Erlang/OTP and the reputable [`noble-hashes`](https://github.com/paulmillr/noble-hashes) library for JavaScript.\n\n## Documentation\n\nConsult the [HexDocs](https://hexdocs.pm/glesha/) for API reference.\n\n## License\n\nGlesha is licensed under the MIT license.\n","url":"index.html"},{"doc":"glesha","title":"HashAlgorithm","content":"pub type HashAlgorithm {\n  Sha224\n  Sha256\n  Sha384\n  Sha512\n}\n Represents available hash algorithms.\nSha224\n\n\nSha256\n\n\nSha384\n\n\nSha512\n\n\nSynonyms:\nglesha.HashAlgorithm\nglesha HashAlgorithm","url":"glesha.html#HashAlgorithm"},{"doc":"glesha","title":"encode_hex","content":"pub fn encode_hex(input: BitString) -&gt; String\n Converts `BitString` into a lowercase hexadecimal string.\nSynonyms:\nglesha.encode_hex\nglesha encode_hex","url":"glesha.html#encode_hex"},{"doc":"glesha","title":"hash","content":"pub fn hash(input: BitString, algorithm: HashAlgorithm) -&gt; BitString\n Computes the hash of the given input using the specified `Algorithm`.\nSynonyms:\nglesha.hash\nglesha hash","url":"glesha.html#hash"},{"doc":"glesha","title":"hmac","content":"pub fn hmac(data: BitString, key: BitString, algorithm: HashAlgorithm) -&gt; BitString\n Generates an HMAC using the specified `Algorithm`.\nSynonyms:\nglesha.hmac\nglesha hmac","url":"glesha.html#hmac"},{"doc":"glesha","title":"glesha","content":" Documentation for Glesha.","url":"glesha.html"}]);